Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaProperty Class Reference

`#include <vtkMesaProperty.h>`

Inheritance diagram for vtkMesaProperty:

[legend]
Collaboration diagram for vtkMesaProperty:

[legend]
List of all members.

## Detailed Description

Mesa property.

Date:
  2002/08/22 18:39:30

Revision:
  1.12

vtkMesaProperty is a concrete implementation of the abstract class vtkProperty. vtkMesaProperty interfaces to the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (57%)
  - Hoffman, Bill (30%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMesaProperty.cxx)`
  - .`h` (`/Rendering/vtkMesaProperty.h)`

Definition at line 45 of file vtkMesaProperty.h.

## Public Types
typedef vtkProperty | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkActor *a, vtkRenderer *ren)
void | BackfaceRender (vtkActor *a, vtkRenderer *ren)
## Static Public Methods
vtkMesaProperty * | New ()
int | IsTypeOf (const char *type)
vtkMesaProperty * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaProperty ()
| ~vtkMesaProperty ()

## Member Typedef Documentation

typedef vtkProperty vtkMesaProperty::Superclass

| Reimplemented from vtkProperty. Definition at line 49 of file vtkMesaProperty.h.

## Constructor & Destructor Documentation

vtkMesaProperty::vtkMesaProperty | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkMesaProperty.h.

vtkMesaProperty::~vtkMesaProperty | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkMesaProperty.h.

## Member Function Documentation

vtkMesaProperty* vtkMesaProperty::New | ( |  | ) | `[static]`

| Construct object with object color, ambient color, diffuse color, specular color, and edge color white; ambient coefficient=0; diffuse coefficient=0; specular coefficient=0; specular power=1; Gouraud shading; and surface representation. Backface and frontface culling are off. Reimplemented from vtkProperty.

virtual const char* vtkMesaProperty::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProperty.

int vtkMesaProperty::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

virtual int vtkMesaProperty::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProperty.

vtkMesaProperty* vtkMesaProperty::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProperty.

virtual void vtkMesaProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProperty.

void vtkMesaProperty::Render | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) | `[virtual]`

| Implement base class method. Reimplemented from vtkProperty.

void vtkMesaProperty::BackfaceRender | ( | vtkActor * | a,
|  | vtkRenderer * | ren
| ) | `[virtual]`

| Implement base class method. Reimplemented from vtkProperty.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaProperty.h